# from celery import Celery

# # 创建 Celery 应用
# celery_app = Celery(
#     'ai_ops_wechat_app',
#     broker='redis://:telpo%231234@192.168.2.121:8090/3', 
#     backend='redis://:telpo%231234@192.168.2.121:8090/3',
# )

# # 配置 Celery
# celery_app.conf.update(
#     task_serializer='json',
#     accept_content=['json'],
#     result_serializer='json',
#     timezone='Asia/Shanghai',
#     enable_utc=True,
# )

# #celery_app.autodiscover_tasks(['app.tasks'])

# from celery import Celery

# def make_celery(app):
#     celery = Celery(
#         app.import_name,
#         backend=app.config['CELERY_RESULT_BACKEND'],
#         broker=app.config['CELERY_BROKER_URL']
#     )
#     celery.conf.update(app.config)
#     # 自动发现任务
#     celery.autodiscover_tasks(['app.tasks'])
#     return celery

# # 初始化 Flask
# app = Flask(__name__)
# app.config.update(
#     CELERY_BROKER_URL='redis://:telpo%231234@192.168.2.121:8090/3',
#     CELERY_RESULT_BACKEND='redis://:telpo%231234@192.168.2.121:8090/3'
# )

# celery = make_celery(app)

from celery import Celery

# 配置 Celery
celery = Celery(
    "worker",
    broker="redis://:telpo%231234@192.168.2.121:8090/3",
    backend="redis://:telpo%231234@192.168.2.121:8090/3",
    include=['app.tasks']
)

# 自动发现任务
celery.autodiscover_tasks(['app.tasks'])
